# Uses of Class
io.dapr.client.domain.SaveStateRequest

Packages that use SaveStateRequest
Package
Description
io.dapr.client
io.dapr.client.domain

## Uses of SaveStateRequest in io.dapr.client

Methods in io.dapr.client with parameters of type SaveStateRequest
Modifier and Type
Method
Description
`reactor.core.publisher.Mono<Void>`
DaprClient.`saveBulkState(SaveStateRequest request)`
Save/Update a list of states.
`reactor.core.publisher.Mono<Void>`
DaprClientImpl.`saveBulkState(SaveStateRequest request)`
Save/Update a list of states.

## Uses of SaveStateRequest in io.dapr.client.domain

Methods in io.dapr.client.domain that return SaveStateRequest
Modifier and Type
Method
Description
`SaveStateRequest`
SaveStateRequest.`setStates(State<?>... states)`
`SaveStateRequest`
SaveStateRequest.`setStates(List<State<?>> states)`